Bug 464783 - Couldn't interpret _XKB_RULES_NAMES property
Couldn't interpret _XKB_RULES_NAMES property
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vnc (Show other bugs)
5.3
All Linux
medium Severity medium
: beta
: ---
Assigned To: Adam Tkac
: EasyFix, Patch, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 10:11 EDT by Alexander Todorov
Modified: 2013-04-30 19:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda vnc server log (615 bytes, text/plain)
2008-10-08 11:44 EDT, Radek Vykydal
no flags Details
patch (1.26 KB, patch)
2008-10-15 12:08 EDT, Adam Tkac
no flags Details | Diff

  None (edit)
Description Alexander Todorov 2008-09-30 10:11:57 EDT
Description of problem:
After the VNC server in anaconda starts a suspicious message is printed on tty1

Version-Release number of selected component (if applicable):
anaconda-11.1.2.132-1

How reproducible:
Always

Steps to Reproduce:
1. boot a vnc based install
2. after the VNC server has started observe tty1
3.
  
Actual results:
Starting graphical installation...
Couldn't interpret _XKB_RULES_NAMES property
Use defaults: rules - 'xorg' model - 'pc101' layout - 'us'


Expected results:
Starting graphical installation...

Additional info:
I believe this is a regression since this message is not showing in earlier RHEL versions
Comment 1 Alexander Todorov 2008-09-30 10:13:16 EDT
for the record:
I selected English as the language in loader. It didn't ask me for keyboard layout.
Comment 2 Chris Lumens 2008-09-30 10:18:21 EDT
What has changed in X for this release?
Comment 3 RHEL Product and Program Management 2008-09-30 10:57:54 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 4 Alexander Todorov 2008-10-01 03:06:53 EDT
This is from the changelog in spec file:
* Tue Sep 23 2008 Dave Airlie <airlied@redhat.com> 1.1.1-48.49
- fix crash in traps code caused by firefox (#455359)

* Thu Sep 11 2008 Dave Airlie <airlied@redhat.com> 1.1.1-48.48
- fix libdrm permissions (#455089)

* Thu Sep 11 2008 Adam Jackson <ajax@redhat.com> 1.1.1-48.47
- Add Xvnc-source subpackage (#455597)

* Thu Sep 04 2008 Dave Airlie <airlied@redhat.com> 1.1.1-48.46
- add DDC renaming to randr source code

* Thu Sep 04 2008 Dave Airlie <airlied@redhat.com> 1.1.1-48.45
- rebase the source code for drivers to build against and add compat patches
- xserver-1.1.1-randr-fix.patch - set the -1 to 0 like upstream this fixes some randr1.2 compat output problems

* Mon Sep 01 2008 Adam Jackson <ajax@redhat.com> 1.1.1-48.44
- xserver-1.1.1-automouse-crash-fix.patch: Fix a rare crash when starting
  under anaconda. (#249567)

* Mon Sep 01 2008 Dave Airlie <airlied@redhat.com> 1.1.1-48.43
- xorg-x11-server-1.1.1-altix-root-bridges.patch - fix ALTIX PCI (#448139)

* Thu May 29 2008 Dave Airlie <airlied@redhat.com> 1.1.1-48.42
- cve-2008-1377.patch: Record and Security Extension Input validation
- cve-2008-1379.patch: MIT-SHM extension Input Validation flaw
- cve-2008-2360.patch: Render AllocateGlyph extension Integer overflows
- cve-2008-2361.patch: Render CreateCursor extension Integer overflows
- cve-2008-2362.patch: Render Gradient extension Integer overflows
Comment 5 Radek Vykydal 2008-10-08 11:41:51 EDT
The unwanted message

Couldn't interpret _XKB_RULES_NAMES property 
Use defaults: rules - 'xorg' model - 'pc101' layout - 'us'

comes from setxkbmap run by anaconda during vnc install, 
nevertheless, the xkb values are set correctly as can be seen
below.

-------------------------------------
Logs and messages from vnc install (using Xvnc server):

- package used: xorg-x11-server-Xvnc-source-1.1.1-48.49.el5.i386.rpm
- vnc log will be attached in next comment
- anaconda runs command "setxkbmap -layout us -model pc105",
running this verbosely from console:

# setxkbmap -display :1 -v 10 -layout us -model pc105
Setting verbose level to 10
locale is C
Couldn't interpret _XKB_RULES_NAMES property 
Use defaults: rules - 'xorg' model - 'pc101' layout - 'us'
Warning! Multiple definitions of keyboard model 
         Using command line, ignoring X server
Warning! Multiple definitions of keyboard layout
         Using command line, ignoring X server
Applied rules from xorg:
model:      pc105
layout:     us
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:      complete
compat:     complete
symbols:    pc(pc105)+us 
geometry:   pc(pc105)
        
- to check the values:

# setxkbmap -display :1 -v 10 -print
Setting verbose level to 10
locale is C
Applied rules from xorg:
model:      pc105
layout:     us
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:      complete
compat:     complete
symbols:    pc(pc105)+us
geometry:   pc(pc105)
xkb_keymap {
        xkb_keycodes  { include "xfree86+aliases(qwerty)"       };
        xkb_types     { include "complete"      };
        xkb_compat    { include "complete"      };
        xkb_symbols   { include "pc(pc105)+us"  };
        xkb_geometry  { include "pc(pc105)"     };
};

- running setting command again doesn't give the message:

# setxkbmap -display :1 -v 10 -layout us -model pc105
Setting verbose level to 10
locale is C
Warning! Multiple definitions of keyboard model
         Using command line, ignoring X server
Warning! Multiple definitions of keyboard layout
         Using command line, ignoring X server
Applied rules from xorg:
model:      pc105
layout:     us
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:      complete
compat:     complete
symbols:    pc(pc105)+us
geometry:   pc(pc105)--


------------------------------------

In non-vnc install (using Xorg server), at the same
step (kbd activation) the message isn't displayed.

# setxkbmap -display :1 -v 10 -layout us -model pc105
Setting verbose level to 10
locale is C
Warning! Multiple definitions of keyboard model
         Using command line, ignoring X server
Warning! Multiple definitions of keyboard layout
         Using command line, ignoring X server
Applied rules from xorg:
model:      pc105
layout:     us
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:      complete
compat:     complete
symbols:    pc(pc105)+us
geometry:   pc(pc105)

# Xorg -version
X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-78.0.1.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux localhost.localdomain 2.6.18-117.el5 #1 SMP Mon Sep 29 22:26:10 EDT 2008 i686
Build Date: 23 September 2008
Build ID: xorg-x11-server 1.1.1-48.49.el5
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Comment 6 Radek Vykydal 2008-10-08 11:44:46 EDT
Created attachment 319759 [details]
anaconda vnc server log
Comment 7 Denise Dumas 2008-10-14 09:37:59 EDT
Adam, cna you please check this out from VNC perspective?
Comment 8 Radek Vykydal 2008-10-14 10:32:25 EDT
If i read comment #5 correctly the keyboard is actually
set properly, only the message is bothering us, and there
is not much we can do on anaconda side except that in the worst
case we can make ugly-bad-bad-not-even-think-about-it
workaround to suppress the message.
Comment 9 Adam Tkac 2008-10-14 11:11:05 EDT
Main difference is that 5.3 Xvnc has XKEYBOARD extension enabled (5.2 Xvnc is without XKB). That annoying message can be workarounded if you pass "-extension XKEYBOARD" parameter to Xvnc from anaconda but better is find a bug which is somewhere in X code. Let me check it.
Comment 10 Radek Vykydal 2008-10-14 12:16:11 EDT
(In reply to comment #9)
> .......... That annoying message can be workarounded if you pass "-extension
> XKEYBOARD" parameter to Xvnc from anaconda

with the parameter, the message is replaced with another one:

XKB extension not present on :1
Comment 11 Adam Tkac 2008-10-14 15:24:15 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > .......... That annoying message can be workarounded if you pass "-extension
> > XKEYBOARD" parameter to Xvnc from anaconda
> 
> with the parameter, the message is replaced with another one:
> 
> XKB extension not present on :1

As expected. That message is written in all released RHEL5 versions (5.0, 5.1 and 5.2)
Comment 12 Adam Tkac 2008-10-15 10:10:25 EDT
Finally I found where exactly problem is and I have the patch. Moving to vnc
Comment 13 Adam Tkac 2008-10-15 12:08:24 EDT
Created attachment 320454 [details]
patch
Comment 15 Adam Tkac 2008-10-17 07:25:10 EDT
Fixed in vnc-4.1.2-13.el5
Comment 23 errata-xmlrpc 2009-01-20 16:16:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0119.html

Note You need to log in before you can comment on or make changes to this bug.